BuildRequires: /proc
BuildRequires: jpackage-1.4-compat
# Copyright (c) 2000-2007, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define gcj_support 0

## If you don't want to build with maven, and use straight ant instead,
## give rpmbuild option '--without maven'

%define with_maven %{!?_without_maven:1}%{?_without_maven:0}
%define without_maven %{?_without_maven:1}%{!?_without_maven:0}


%define ucname         JPOX

Name:		jpox
Summary:	Java Persistent Objects
Version: 	1.1.1
Release:	alt1_1jpp1.7
Epoch:		0
URL: 		http://www.jpox.org
License: 	Apache License, Version 2.0
Group: 		Development/Java
Source0: 	JPOX-1.1.1.tar.gz
# cvs -d:pserver:anonymous@jpox.cvs.sourceforge.net:/cvsroot/jpox login
# cvs -z3 -d:pserver:anonymous@jpox.cvs.sourceforge.net:/cvsroot/jpox export -r JPOX-1_1_1 JPOX
# mv JPOX/ JPOX-1.1.1
# tar cf JPOX-1.1.1.tar JPOX-1.1.1/
# gzip JPOX-1.1.1.tar
Source1:        maven2jpp-mapdeps.xsl
Source2:        JPOX-1.1.1-jpp-depmap.xml

Source3:	JPOX-1.1.1-Plugins-C3P0-build.xml
Source4:	JPOX-1.1.1-Plugins-DBCP-build.xml
Source5:	JPOX-1.1.1-Plugins-Ehcache-build.xml
Source6:	JPOX-1.1.1-Plugins-Java5-build.xml
Source7:	JPOX-1.1.1-Plugins-JPOXTest-build.xml
Source8:	JPOX-1.1.1-Plugins-Maven1-build.xml
Source9:	JPOX-1.1.1-Plugins-Maven1-FAQ-build.xml
Source10:	JPOX-1.1.1-Plugins-Maven2-build.xml
Source11:	JPOX-1.1.1-Plugins-OSCache-build.xml
Source12:	JPOX-1.1.1-Plugins-Spatial-build.xml
Source13:	JPOX-1.1.1-Plugins-SpatialOracle-build.xml
Source14:	JPOX-1.1.1-Plugins-SpringFramework-build.xml
Source15:	JPOX-1.1.1-Plugins-SwarmCache-build.xml
Source16:	JPOX-1.1.1-Plugins-TangosolCache-build.xml
Source17:	JPOX-1.1.1-Plugins-ThirdParty-build.xml
Source18:	JPOX-1.1.1-Plugins-XMLTypeOracle-build.xml


Patch0:         JPOX-1.1.1-project_xml.patch
Patch1:         JPOX-1.1.1-Core-project_xml.patch
Patch2:         JPOX-1.1.1-Core-maven_xml.patch
Patch3:         JPOX-1.1.1-Enhancer-project_xml.patch
Patch4:         JPOX-1.1.1-Core-build_properties.patch


BuildRequires: jpackage-utils >= 0:1.6
%if %{with_maven}
BuildRequires: maven-plugins >= 1.1
BuildRequires: saxon
BuildRequires: saxon-scripts
%endif
BuildRequires: ant >= 0:1.6
BuildRequires: junit >= 0:3.8.1
BuildRequires: jakarta-commons-collections >= 0:3.1
BuildRequires: jakarta-commons-dbcp >= 0:1.2
BuildRequires: jakarta-commons-pool >= 0:1.2
BuildRequires: log4j >= 0:1.2.8
BuildRequires: geronimo-j2ee-connector-1.5-api
BuildRequires: geronimo-jta-1.0.1B-api
BuildRequires: bcel >= 0:5.1
BuildRequires: c3p0
BuildRequires: ehcache
BuildRequires: apache-jdo-2.0-api
BuildRequires: jakarta-commons-jelly-tags-xml
BuildRequires: dom4j
BuildRequires: xml-commons-jaxp-1.3-apis
BuildRequires: xerces-j2
BuildRequires: oscache
BuildRequires: swarmcache
BuildRequires: spring-core
BuildRequires: spring-beans

%if %{gcj_support}
BuildRequires: gnu-crypto
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%if ! %{gcj_support}
BuildArch:      noarch
%endif

%description
JPOX is a heterogenous persistence solution for Java. It 
allows you and your team to take your Java data model objects
and persist them to a datastore without having to spend large
amounts of time defining how they will be persisted.
This means that you can concentrate your application
development time on adding business logic rather than the
routine task of storing/retrieval of your objects. 

JPOX is designed to comply with all pertinent standards in
the persistence domain. It is a fully compliant implementation
of the JDO1/JDO2 specifications, and is planned to comply with
the JPA1 specification in its next release. This means that by
choosing JPOX you have persistence behaviour that you can trust
and is defined in Java standards specifications. In addition
JPOX is extensible utilising the OSGi standard plugin mechanism
and providing many extension points where you can enhance your
persistence capabilities even further.


%package core
Group:          Development/Java
Summary:        JPOX Core
Requires: ant
Requires: jdo20
Requires: jta
Requires: j2ee-connector
Requires: log4j

%description core
%{summary}.

%package enhancer
Group:          Development/Java
Summary:        JPOX Enhancer
Requires: %{name}-core = %{version}-%{release}
Requires: ant
Requires: bcel
Requires: jdo20
Requires: log4j

%description enhancer
%{summary}.

%package c3p0
Group:          Development/Java
Summary:        JPOX C3P0 Plugin
Requires: %{name}-core = %{version}-%{release}
Requires: c3p0
Requires: jdo20
Requires: log4j

%description c3p0
%{summary}.

%package dbcp
Group:          Development/Java
Summary:        JPOX DBCP Plugin
Requires: %{name}-core = %{version}-%{release}
Requires: jakarta-commons-collections
Requires: jakarta-commons-dbcp
Requires: jakarta-commons-pool
Requires: jdo20
Requires: log4j

%description dbcp
%{summary}.

%package ehcache
Group:          Development/Java
Summary:        JPOX Ehcache Plugin
Requires: %{name}-core = %{version}-%{release}
Requires: ehcache
Requires: jdo20
Requires: log4j

%description ehcache
%{summary}.

%package maven-plugin
Group:          Development/Java
Summary:        JPOX Maven1 Plugin
Requires: %{name}-core = %{version}-%{release}
Requires: maven
Requires: jdo20

%description maven-plugin
%{summary}.

%package maven-faq-plugin
Group:          Development/Java
Summary:        JPOX Maven1 FAQ Plugin
Requires: %{name}-core = %{version}-%{release}
Requires: maven
Requires: jdo20

%description maven-faq-plugin
%{summary}.

%package oscache
Group:          Development/Java
Summary:        JPOX OSCache Plugin
Requires: %{name}-core = %{version}-%{release}
Requires: oscache
Requires: jdo20

%description oscache
%{summary}.

%package spatial
Group:          Development/Java
Summary:        JPOX Spatial Plugin
Requires: %{name}-core = %{version}-%{release}
Requires: jdo20
Requires: log4j

%description spatial
%{summary}.

%package spring
Group:          Development/Java
Summary:        JPOX Spring Plugin
Requires: %{name}-core = %{version}-%{release}
Requires: jdo20
Requires: log4j
Requires: spring-core
Requires: spring-beans

%description spring
%{summary}.

%package swarmcache
Group:          Development/Java
Summary:        JPOX SwarmCache Plugin
Requires: %{name}-core = %{version}-%{release}
Requires: jdo20
Requires: swarmcache

%description swarmcache
%{summary}.

%package tangosol
Group:          Development/Java
Summary:        JPOX TangosolCache Plugin
Requires: %{name}-core = %{version}-%{release}
Requires: %{name}-thirdparty = %{version}-%{release}
Requires: jdo20
Requires: log4j

%description tangosol
%{summary}.

%package thirdparty
Group:          Development/Java
Summary:        JPOX ThirdParty Plugin
Requires: %{name}-core = %{version}-%{release}

%description thirdparty
%{summary}.

%package javadoc
Group:          Development/Documentation
Summary:        Javadoc for JPOX

%description javadoc
%{summary}.

%prep
%setup -q -n %{ucname}-%{version}
for j in $(find . -name "*.jar"); do
    mv $j $j.no
done
%patch0 -b .sav
%patch1 -b .sav
%patch2 -b .sav
%patch3 -b .sav
%patch4 -b .sav
cp %{SOURCE3}   Plugins/C3P0/build.xml
cp %{SOURCE4}   Plugins/DBCP/build.xml
cp %{SOURCE5}   Plugins/Ehcache/build.xml
cp %{SOURCE6}   Plugins/Java5/build.xml
cp %{SOURCE7}   Plugins/JPOXTest/build.xml
cp %{SOURCE8}   Plugins/Maven1/build.xml
cp %{SOURCE9}   Plugins/Maven1-FAQ/build.xml
cp %{SOURCE10}  Plugins/Maven2/build.xml
cp %{SOURCE11}  Plugins/OSCache/build.xml
cp %{SOURCE12}  Plugins/Spatial/build.xml
cp %{SOURCE13}  Plugins/SpatialOracle/build.xml
cp %{SOURCE14}  Plugins/SpringFramework/build.xml
cp %{SOURCE15}  Plugins/SwarmCache/build.xml
cp %{SOURCE16}  Plugins/TangosolCache/build.xml
cp %{SOURCE17}  Plugins/ThirdParty/build.xml
cp %{SOURCE18}  Plugins/XMLTypeOracle/build.xml


%if %{with_maven}
find . -name build.properties -exec rm -f {} \;
%endif

%build
unset CLASSPATH
rm -rf samples
%if %{with_maven}
for p in $(find . -name project.xml); do
    pushd $(dirname $p)
    cp project.xml project.xml.orig
    /usr/bin/saxon -o project.xml project.xml.orig %{SOURCE1} map=%{SOURCE2}
    popd
done

export MAVEN_HOME_LOCAL=$(pwd)/.maven
mkdir -p $MAVEN_HOME_LOCAL/repository/javax.jdo/jars/
pushd $MAVEN_HOME_LOCAL/repository/javax.jdo/jars/
ln -sf $(build-classpath jdo20) jdo2-api-SNAPSHOT.jar
popd
mkdir -p $MAVEN_HOME_LOCAL/repository/jdbc/jars/
pushd $MAVEN_HOME_LOCAL/repository/jdbc/jars/
ln -sf $(build-classpath jdbc-stdext) jdbc-stdext-2.0.jar
popd

maven -e \
-Dmaven.test.skip=true \        -Dmaven.home.local=$MAVEN_HOME_LOCAL \
        -Dmaven.repo.remote=file:/usr/share/maven/repository \
        -Dmaven.multiproject.includes=*/project.xml,Plugins/*/project.xml \
        -Dmaven.multiproject.excludes=Plugins/XMLTypeOracle/project.xml,Plugins/SpatialOracle/project.xml,Plugins/Java5/project.xml \
        -Dgoal=jar:install,javadoc \
        multiproject:goal

%else
pushd Enhancer/lib
ln -sf $(build-classpath bcel) bcel-5.1.jar
ln -sf $(build-classpath bcel) bcel-5.2.jar
popd
pushd Core
pushd lib
ln -sf $(build-classpath ant) ant-1.6.jar
ln -sf $(build-classpath commons-collections) commons-collections-3.1.jar
ln -sf $(build-classpath commons-dbcp) commons-dbcp-1.2.jar
ln -sf $(build-classpath commons-pool) commons-pool-1.2.jar
ln -sf $(build-classpath jaas) jaas-1.0.01.jar
ln -sf $(build-classpath geronimo-j2ee-connector-1.5-api) jca-1.0.jar
ln -sf $(build-classpath jdbc-stdext) jdbc2_0-stdext.jar
ln -sf $(build-classpath jdo20) jdo2-api-SNAPSHOT.jar
#jpa-1.0.jar
ln -sf $(build-classpath geronimo-jta-1.0.1B-api) jta-1.0.1B.jar
ln -sf $(build-classpath junit) junit-3.8.1.jar
ln -sf $(build-classpath log4j) log4j-1.2.8.jar
popd
ant rar
popd
pushd Plugins
pushd C3P0
ant -Djpox.jar=file:$(pwd)/../../dist/%{name}-%{version}.jar
popd
pushd DBCP
ant -Djpox.jar=file:$(pwd)/../../dist/%{name}-%{version}.jar
popd
pushd Ehcache
ant -Djpox.jar=file:$(pwd)/../../dist/%{name}-%{version}.jar
popd
#pushd Java5
#ant -Djpox.jar=file:$(pwd)/../../dist/%{name}-%{version}.jar
#popd
pushd JPOXTest
ant -Djpox.jar=file:$(pwd)/../../dist/%{name}-%{version}.jar
popd
pushd Maven1
mkdir plugin-resources
ant -Djpox.jar=file:$(pwd)/../../dist/%{name}-%{version}.jar
popd
pushd Maven1-FAQ
mkdir plugin-resources
ant -Djpox.jar=file:$(pwd)/../../dist/%{name}-%{version}.jar
popd
#pushd Maven2
#ant -Djpox.jar=file:$(pwd)/../../dist/%{name}-%{version}.jar
#popd
pushd OSCache
ant -Djpox.jar=file:$(pwd)/../../dist/%{name}-%{version}.jar
popd
pushd Spatial
ant -Djpox.jar=file:$(pwd)/../../dist/%{name}-%{version}.jar
popd
#pushd SpatialOracle
#ant \
#   -Djpox-spatial.jar=file:$(pwd)/../Spatial/target/jpox-spatial-SNAPSHOT.jar \
#   -Djpox.jar=file:$(pwd)/../../dist/%{name}-%{version}.jar
#popd
pushd SpringFramework
ant -Djpox.jar=file:$(pwd)/../../dist/%{name}-%{version}.jar
popd
pushd SwarmCache
ant -Djpox.jar=file:$(pwd)/../../dist/%{name}-%{version}.jar
popd
pushd ThirdParty
ant -Djpox.jar=file:$(pwd)/../../dist/%{name}-%{version}.jar
popd
pushd TangosolCache
ant \
   -Djpox-thirdparty.jar=file:$(pwd)/../ThirdParty/target/jpox-thirdparty-SNAPSHOT.jar \
   -Djpox.jar=file:$(pwd)/../../dist/%{name}-%{version}.jar
popd
#pushd XMLTypeOracle
#ant -Djpox.jar=file:$(pwd)/../../dist/%{name}-%{version}.jar
#popd
popd
#pushd Core
#mkdir lib/jdbc
#pushd lib/jdbc
#ln -sf $(build-classpath derby/derby) .
#ln -sf ../../../Plugins/DBCP/target/jpox-dbcp-SNAPSHOT.jar .
#popd
#ant all
#popd
%endif

%install

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}/%{name}

%if %{with_maven}
install -m 644 Core/target/jpox-SNAPSHOT.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}/core-%{version}.jar
install -m 644 Enhancer/target/jpox-enhancer-SNAPSHOT.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}/enhancer-%{version}.jar
%else
install -m 644 dist/%{name}-%{version}.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}/core-%{version}.jar
install -m 644 dist/%{name}-enhancer-%{version}.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}/enhancer-%{version}.jar
%endif
install -m 644 Plugins/C3P0/target/jpox-c3p0-SNAPSHOT.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}/c3p0-%{version}.jar
install -m 644 Plugins/DBCP/target/jpox-dbcp-SNAPSHOT.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}/dbcp-%{version}.jar
install -m 644 Plugins/Ehcache/target/jpox-ehcache-SNAPSHOT.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}/ehcache-%{version}.jar
install -m 644 Plugins/Maven1/target/maven-jpox-plugin-SNAPSHOT.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}/maven-plugin-%{version}.jar
install -m 644 Plugins/Maven1-FAQ/target/maven-faq-plugin-1.2jpox.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}/maven-faq-plugin-%{version}.jar
install -m 644 Plugins/OSCache/target/jpox-oscache-SNAPSHOT.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}/oscache-%{version}.jar
install -m 644 Plugins/Spatial/target/jpox-spatial-SNAPSHOT.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}/spatial-%{version}.jar
install -m 644 Plugins/SpringFramework/target/jpox-springframework-SNAPSHOT.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}/spring-%{version}.jar
install -m 644 Plugins/SwarmCache/target/jpox-swarmcache-SNAPSHOT.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}/swarmcache-%{version}.jar
install -m 644 Plugins/TangosolCache/target/jpox-tangosol-SNAPSHOT.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}/tangosol-%{version}.jar
install -m 644 Plugins/ThirdParty/target/jpox-thirdparty-SNAPSHOT.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}/thirdparty-%{version}.jar

pushd $RPM_BUILD_ROOT%{_javadir}/%{name}
for jar in *-%{version}.jar; do
	ln -sf ${jar} `echo $jar| sed "s|-%{version}\.jar|.jar|g"`;
done
popd

# Javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/core
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/enhancer
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/c3p0
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/dbcp
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/ehcache
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/oscache
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/spatial
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/spring
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/swarmcache
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/tangosol
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/thirdparty

cp -pr Core/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/core
cp -pr Enhancer/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/enhancer
cp -pr Plugins/C3P0/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/c3p0
cp -pr Plugins/DBCP/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/dbcp
cp -pr Plugins/Ehcache/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/ehcache
cp -pr Plugins/OSCache/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/oscache
cp -pr Plugins/Spatial/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/spatial
cp -pr Plugins/SpringFramework/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/spring
cp -pr Plugins/SwarmCache/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/swarmcache
cp -pr Plugins/TangosolCache/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/tangosol

ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost

%if %{gcj_support}
export CLASSPATH=$(build-classpath gnu-crypto)
%{_bindir}/aot-compile-rpm
%endif

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
	rm -f %{_javadocdir}/%{name}
fi

%if %{gcj_support}
%post core
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun core
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post enhancer
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun enhancer
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post c3p0
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun c3p0
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post dbcp
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun dbcp
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post ehcache
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun ehcache
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post oscache
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun oscache
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post spatial
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun spatial
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post spring
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun spring
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post swarmcache
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun swarmcache
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post tangosol
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun tangosol
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post thirdparty
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun thirdparty
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%files core
%{_javadir}/%{name}/core*.jar
%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/core-%{version}.jar.*
%endif

%files enhancer
%{_javadir}/%{name}/enhancer*.jar
%if %{gcj_support}
%{_libdir}/gcj/%{name}/enhancer-%{version}.jar.*
%endif

%files c3p0
%{_javadir}/%{name}/c3p0*.jar
%if %{gcj_support}
%{_libdir}/gcj/%{name}/c3p0-%{version}.jar.*
%endif

%files dbcp
%{_javadir}/%{name}/dbcp*.jar
%if %{gcj_support}
%{_libdir}/gcj/%{name}/dbcp-%{version}.jar.*
%endif

%files ehcache
%{_javadir}/%{name}/ehcache*.jar
%if %{gcj_support}
%{_libdir}/gcj/%{name}/ehcache-%{version}.jar.*
%endif

%files maven-plugin
%{_javadir}/%{name}/maven-plugin*.jar

%files maven-faq-plugin
%{_javadir}/%{name}/maven-faq-plugin*.jar

%files oscache
%{_javadir}/%{name}/oscache*.jar
%if %{gcj_support}
%{_libdir}/gcj/%{name}/oscache-%{version}.jar.*
%endif

%files spatial
%{_javadir}/%{name}/spatial*.jar
%if %{gcj_support}
%{_libdir}/gcj/%{name}/spatial-%{version}.jar.*
%endif

%files spring
%{_javadir}/%{name}/spring*.jar
%if %{gcj_support}
%{_libdir}/gcj/%{name}/spring-%{version}.jar.*
%endif

%files swarmcache
%{_javadir}/%{name}/swarmcache*.jar
%if %{gcj_support}
%{_libdir}/gcj/%{name}/swarmcache-%{version}.jar.*
%endif

%files tangosol
%{_javadir}/%{name}/tangosol*.jar
%if %{gcj_support}
%{_libdir}/gcj/%{name}/tangosol-%{version}.jar.*
%endif

%files thirdparty
%{_javadir}/%{name}/thirdparty*.jar
%if %{gcj_support}
%{_libdir}/gcj/%{name}/thirdparty-%{version}.jar.*
%endif

%files javadoc
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Mon Dec 03 2007 Igor Vlasenko <viy@altlinux.ru> 0:1.1.1-alt1_1jpp1.7
- converted from JPackage by jppimport script

